Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 481173 - Review Request: libnss-pgsql - NSS library that interface with PostgreSQL
Summary: Review Request: libnss-pgsql - NSS library that interface with PostgreSQL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-22 16:04 UTC by Edouard Bourguignon
Modified: 2009-03-04 16:31 UTC (History)
6 users (show)

Fixed In Version: 1.5.0-0.2.beta.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-30 14:56:24 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
patch to remove exit() call in the library (deleted)
2009-01-24 16:03 UTC, Mamoru TASAKA
no flags Details

Description Edouard Bourguignon 2009-01-22 16:04:57 UTC
Spec URL: http://www.linuxed.net/~madko/fedora/libnss-pgsql.spec
SRPM URL: http://www.linuxed.net/~madko/fedora/libnss-pgsql-1.4.0-2.fc10.src.rpm

Description: Name Service Switch library that interface with PostgreSQL.

more info on http://pgfoundry.org/projects/sysauth/

Having 1 rpmlint warning on this package:
W: shared-lib-calls-exit /usr/lib64/libnss_pgsql.so.2.0.0 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

Comment 1 Mamoru TASAKA 2009-01-23 16:16:33 UTC
For 1.4.0-2

* Latest version
  - The last stable version (1.4.0) seems to have been released
    3 years ago.
    While the latest version is still beta (1.5.0-beta), it was
    released last August (i.e. 5 months ago) and as the last stable
    version seems old, I think using 1.5.0 beta seems preferable
    for Fedora. How do you think?

* autotool recall
  - build.log shows:
-------------------------------------
    46  + ./configure --build=i386-redhat-linux-gnu ......
    47  checking for a BSD-compatible install... 
    48  /usr/bin/install -c
    49  checking whether build environment is sane... 
    50  yes
....
   372  + make -j4
   373  cd . && /builddir/build/BUILD/libnss-pgsql-1.4.0/autoconf/missing aclocal-1.4
   374  WARNING: `aclocal-1.4' is missing on your system.  You should only need it if
   375           you modified `acinclude.m4' or `configure.in'.  You might want
   376           to install the `Automake' and `Perl' packages.  Grab them from
   377           any GNU archive site.
   378  cd . && /builddir/build/BUILD/libnss-pgsql-1.4.0/autoconf/missing automake-1.4 --gnu Makefile
   379  cd . && /builddir/build/BUILD/libnss-pgsql-1.4.0/autoconf/missing autoconf
   380  WARNING: `automake-1.4' is missing on your system.  You should only need it if
   381           you modified `Makefile.am', `acinclude.m4' or `configure.in'.
   382           You might want to install the `Automake' and `Perl' packages.
   383           Grab them from any GNU archive site.
   384  WARNING: `autoconf' is missing on your system.  You should only need it if
   385           you modified `configure.in'.  You might want to install the
   386           `Autoconf' and `GNU m4' packages.  Grab them from any GNU
   387           archive site.
   388  /bin/sh ./config.status --recheck
   389  running /bin/sh ./configure  --build=i386-redhat-linux-gnu ....
....
   710  cd . \
   711            && CONFIG_FILES=Makefile CONFIG_HEADERS= /bin/sh ./config.status
   712  config.status: creating Makefile
   713  config.status: executing default-1 commands
   714  cd . && /builddir/build/BUILD/libnss-pgsql-1.4.0/autoconf/missing autoheader

-------------------------------------
    Here autotools are automatically called after calling make
    command, this is not expected. This is usually because timestamps
    on some files related to autotools are wrong.
    Please fix so that autotools are not called automatically after
    make.

* Documents
  - Please add the following files to %doc.
-------------------------------------
AUTHORS
COPYING
ChangeLog
README
-------------------------------------

Comment 2 Edouard Bourguignon 2009-01-23 17:52:23 UTC
* We can give a try to the beta version, I didn't notice the 1.4.0 was so old. I try to follow the naming guidelines for beta version, hope I'm right.

* Now beta is built without autotools being automatically called

* Missing documents have been added

But there is still the warning about the shared-lib-calls-exit...

Here are the links:
SPEC: http://www.linuxed.net/~madko/fedora/libnss-pgsql.spec
SRPM: http://www.linuxed.net/~madko/fedora/libnss-pgsql-1.5.0-0.1.beta.fc10.src.rpm

Comment 3 Mamoru TASAKA 2009-01-24 16:03:59 UTC
Created attachment 329912 [details]
patch to remove exit() call in the library

For 1.5.0-0.1.beta1:

* SourceURL
  - SourceURL is not correct. 605 should be 1878

* About shared-lib-calls-exit rpmlint
  - As
    $ rpmlint -I shared-lib-calls-exit
    shows, libraries should not call exit() inner themselves.
    The attached patch will remove this rpmlint. If you are
    happy with my patch please apply the patch.
    However I won't regard this rpmlint as a blocker.

Comment 4 Edouard Bourguignon 2009-01-25 16:47:41 UTC
* SourceURL has been fixed
* Your patch has been included. I'm on the way to upstream it

Here are the links:
SPEC: http://www.linuxed.net/~madko/fedora/libnss-pgsql.spec
SRPM: http://www.linuxed.net/~madko/fedora/libnss-pgsql-1.5.0-0.2.beta.fc10.src.rpm

Comment 5 Mamoru TASAKA 2009-01-26 17:59:46 UTC
Okay.

--------------------------------------------------------
   This package (libnss-pgsql) is APPROVED by mtasaka
--------------------------------------------------------

Comment 6 Edouard Bourguignon 2009-01-26 19:03:01 UTC
New Package CVS Request
=======================
Package Name: libnss-pgsql
Short Description: Name Service Switch library that interface with PostgreSQL
Owners: madko
Branches: F-10 F-9
InitialCC:

Comment 7 Kevin Fenzi 2009-01-26 22:53:55 UTC
cvs done.

Comment 8 Edouard Bourguignon 2009-01-27 08:09:15 UTC
thank you

Comment 9 Fedora Update System 2009-01-29 23:03:00 UTC
libnss-pgsql-1.5.0-0.2.beta.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libnss-pgsql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1095

Comment 10 Fedora Update System 2009-01-29 23:11:50 UTC
libnss-pgsql-1.5.0-0.2.beta.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libnss-pgsql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1186

Comment 11 Mamoru TASAKA 2009-01-30 14:56:24 UTC
Closing.

Comment 12 Fedora Update System 2009-03-04 16:27:38 UTC
libnss-pgsql-1.5.0-0.2.beta.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-03-04 16:30:56 UTC
libnss-pgsql-1.5.0-0.2.beta.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.